<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.FC ID="0">
    <AttributeList>
      <AutoNumber>false</AutoNumber>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Input">
    <Member Name="Check_DB" Datatype="Int" />
    <Member Name="Anfangs_DW" Datatype="DInt" />
    <Member Name="Ende_DW" Datatype="DInt" />
  </Section>
  <Section Name="Output">
    <Member Name="Stoerung" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">Störung vorhanden</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="ErrDW" Datatype="DInt" />
    <Member Name="ErrBits" Datatype="Int" />
  </Section>
  <Section Name="InOut" />
  <Section Name="Temp">
    <Member Name="Anzeige_DB" Datatype="Int" />
    <Member Name="Zeiger" Datatype="DInt">
      <Comment>
        <MultiLanguageText Lang="de-DE">Startwert mit Offset 0</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="AR1Zeiger" Datatype="DWord">
      <Comment>
        <MultiLanguageText Lang="de-DE">Statt AR1 (ging nur bis DB-Länge &lt;= 8191 Bytes)</MultiLanguageText>
      </Comment>
    </Member>
  </Section>
  <Section Name="Constant" />
  <Section Name="Return">
    <Member Name="Ret_Val" Datatype="Void" />
  </Section>
</Sections></Interface>
      <MemoryLayout>Standard</MemoryLayout>
      <Name>Err_vorhanden</Name>
      <Namespace />
      <Number>125</Number>
      <ProgrammingLanguage>STL</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <SW.Blocks.CompileUnit ID="5" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="22">
    <StlToken Text="SET" />
    <LineComment>
      <Text>GST</Text>
    </LineComment>
  </StlStatement>
  <StlStatement UId="24">
    <StlToken Text="R" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Stoerung" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="26">
    <StlToken Text="L" />
    <Access Scope="TypedConstant">
      <Constant>
        <ConstantValue>DINT#-1</ConstantValue>
      </Constant>
      <LineComment>
        <Text>Sonst Störung in DBD0 nicht erkennbar</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="28">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="ErrDW" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="21">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>DInt</ConstantType>
        <ConstantValue>0</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="30">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="ErrBits" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="32">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="33">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Check_DB" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="35">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Anzeige_DB" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="37">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="38">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Anfangs_DW" />
      </Symbol>
      <LineComment>
        <Text>Mit diesem DW beginnen</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="41">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Zeiger" />
      </Symbol>
      <LineComment>
        <Text>Zeiger</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="44">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="45">
    <LabelDeclaration>
      <Label Name="Loop" />
    </LabelDeclaration>
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Zeiger" />
      </Symbol>
      <LineComment>
        <Text>Zeiger</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="49">
    <StlToken Text="SLD" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>3</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="51">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="AR1Zeiger" />
      </Symbol>
      <LineComment>
        <Text>Statt Dyn.Bereichsstop (ging nur bis DB-Länge &lt;= 8191 Bytes)</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="54">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="55">
    <StlToken Text="OPEN_DB" />
    <Access Scope="Address">
      <Indirect Width="Block" Area="DB">
        <Access Scope="LocalVariable">
          <Symbol>
            <Component Name="Anzeige_DB" />
          </Symbol>
        </Access>
      </Indirect>
    </Access>
  </StlStatement>
  <StlStatement UId="58">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="59">
    <StlToken Text="L" />
    <Access Scope="Address">
      <Indirect Width="Word" Area="DB">
        <Access Scope="LocalVariable">
          <Symbol>
            <Component Name="AR1Zeiger" />
          </Symbol>
        </Access>
      </Indirect>
      <LineComment>
        <Text>Störungsbits</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="62">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="ErrBits" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="64">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>0</ConstantValue>
      </Constant>
      <LineComment>
        <Text>aktiv ?</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="67">
    <StlToken Text="NE_I" />
    <LineComment>
      <Text>Ja !</Text>
    </LineComment>
  </StlStatement>
  <StlStatement UId="69">
    <StlToken Text="JC" />
    <Access Scope="Label">
      <Label Name="Err" />
    </Access>
  </StlStatement>
  <StlStatement UId="71">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="72">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Zeiger" />
      </Symbol>
      <LineComment>
        <Text>Startwert mit Offset 0</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="75">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>DInt</ConstantType>
        <ConstantValue>2</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="77">
    <StlToken Text="ADD_D" />
  </StlStatement>
  <StlStatement UId="78">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Zeiger" />
      </Symbol>
      <LineComment>
        <Text>Zeiger</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="81">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Ende_DW" />
      </Symbol>
      <LineComment>
        <Text>Letztes DW überschritten?</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="84">
    <StlToken Text="LE_D" />
    <LineComment>
      <Text>Nein !</Text>
    </LineComment>
  </StlStatement>
  <StlStatement UId="86">
    <StlToken Text="JC" />
    <Access Scope="Label">
      <Label Name="Loop" />
    </Access>
  </StlStatement>
  <StlStatement UId="88">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="89">
    <StlToken Text="BEU" />
  </StlStatement>
  <StlStatement UId="90">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="91">
    <LabelDeclaration>
      <Label Name="Err" />
    </LabelDeclaration>
    <StlToken Text="SET" />
  </StlStatement>
  <StlStatement UId="93">
    <StlToken Text="S" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Stoerung" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="95">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="96">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Zeiger" />
      </Symbol>
      <LineComment>
        <Text>Zeiger</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="99">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="ErrDW" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="101">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="6" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="7" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="8" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="9" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="A" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="B" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="C" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Check-DB von "Abfangs_DW" bis "Ende_DW" checken</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="D" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="E" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="102">
    <StlToken Text="BE" />
  </StlStatement>
  <StlStatement UId="103">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="F" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="10" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="11" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="12" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="13" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="14" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="15" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Ende</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="16" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <MultilingualText ID="17" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="18" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="19" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text>Störung aktiv</Text>
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="1A" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.FC>
</Document>